MySQL 5.7.x < 5.7.26 Multiple Vulnerabilities (Apr 2019 CPU) (Jul 2019 CPU)

High Nessus Plugin ID 124159

Synopsis

The remote database server is affected by multiple vulnerabilities.

Description

The version of MySQL running on the remote host is 5.7.x prior to 5.7.26. It is, therefore, affected by multiple vulnerabilities, including three of the top vulnerabilities below, as noted in the April 2019 Critical Patch Update advisory:

- An unspecified vulnerability in MySQL in the 'Server : Pluggable Auth' subcomponent could allow an unauthenticated attacker to gain complete access to all MySQL Server accessible data. (CVE-2019-2632)

- An unspecified vulnerability in the 'Server: Compiling (OpenSSL)' subcomponent could allow an unauthenticated attacker to gain complete access to all MySQL Server accessible data. (CVE-2019-1559)

- An unspecified vulnerability in the 'InnoDB' subcomponent could allow a high privileged attacker to cause the server to hang or to, via a frequently repeatable crash, cause a complete denial of service.
(CVE-2019-2628)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Upgrade to MySQL version 5.7.26 or later.

See Also

https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-27.html

http://www.nessus.org/u?e6252734

Plugin Details

Severity: High

ID: 124159

File Name: mysql_5_7_27.nasl

Version: 1.2

Type: remote

Family: Databases

Published: 2019/04/18

Updated: 2019/07/18

Dependencies: 10719, 91823

Risk Information

Risk Factor: High

CVSS Score Source: CVE-2019-2632

CVSS v2.0

Base Score: 7.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:N/A:N

CVSS v3.0

Base Score: 8.2

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:L/A:N

Vulnerability Information

CPE: cpe:/a:oracle:mysql

Patch Publication Date: 2019/04/25

Vulnerability Publication Date: 2019/04/16

Reference Information

CVE: CVE-2019-2632, CVE-2019-1559, CVE-2019-2628, CVE-2019-2566, CVE-2019-2581, CVE-2019-2683, CVE-2019-2592, CVE-2019-2627, CVE-2019-2614, CVE-2019-2755

BID: 107174, 107924, 107927

IAVA: 2019-A-0122